"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nearley_1 = require("nearley");
const path_1 = require("path");
const fs_1 = require("fs");
function reference(type, opts) {
    const prebuiltgrammar = nearley_1.Grammar.fromCompiled(require('../../nearley-prebuilt/nearley-language-bootstrapped'));
    const prebuiltparser = new nearley_1.Parser(prebuiltgrammar);
    if (type === "1") {
        prebuiltparser.feed('root -> ("hi":?|"bye":*)');
    }
    else if (type === "2") {
        prebuiltparser.feed('root -> ("hi":?|"bye":*) {% d => ("hi or bye") %}');
    }
    if (opts.out && opts.prettify) {
        fs_1.writeFileSync(path_1.resolve(process.cwd(), opts.out), JSON.stringify(prebuiltparser.results, null, 2));
    }
    else if (opts.out && !opts.prettify) {
        fs_1.writeFileSync(path_1.resolve(process.cwd(), opts.out), JSON.stringify(prebuiltparser.results));
    }
    else if (opts.prettify) {
        console.log(JSON.stringify(prebuiltparser.results, null, 2));
    }
    else {
        console.log(JSON.stringify(prebuiltparser.results));
    }
}
exports.default = reference;
//# sourceMappingURL=reference.js.map