#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const railroad_1 = require("./cmds/railroad");
const reference_1 = require("./cmds/reference");
const program = require('commander');
program
    .version(require('../package.json').version)
    .arguments("[grammar.js] [grammar.html]")
    .option("-c, --config <file>", "Path to a json config")
    .option("-t, --template", "Path to a template directory")
    .option("-d, --debug", "Write files to help debug this command")
    .action(railroad_1.default);
program
    .command("reference <type>")
    .option("-p, --prettify", "Prettify output")
    .option("-o, --out", "file to write to")
    .action(reference_1.default);
program.parse(process.argv);
//# sourceMappingURL=index.js.map